      subroutine wrt_grid (ncid, ncname, lstr)      


      use Agrif_Util
#include "Param_BeforeCall_wrt_grid.h"
      character*(*) :: ncname
      integer(4) :: ncid
      integer(4) :: lstr
      

        call Sub_Loop_wrt_grid(ncid,ncname,lstr, Agrif_tabvars_i(14)%iar
     &ray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvars_i(13)%iarray0, Agr
     &if_tabvars_i(2)%iarray0, Agrif_tabvars(81)%array2, Agrif_tabvars(1
     &11)%array2, Agrif_tabvars(106)%array2, Agrif_tabvars(105)%array2, 
     &Agrif_tabvars(108)%array2, Agrif_tabvars(107)%array2, Agrif_tabvar
     &s(110)%array2, Agrif_tabvars(109)%array2, Agrif_tabvars(103)%array
     &2, Agrif_tabvars(104)%array2, Agrif_tabvars(113)%array2, Agrif_tab
     &vars(115)%array2, Agrif_tabvars_r(26)%array0, Agrif_tabvars(2)%arr
     &ay1, Agrif_tabvars(4)%array1, Agrif_tabvars(1)%array1, Agrif_tabva
     &rs(3)%array1, Agrif_tabvars_r(19)%array0, Agrif_tabvars_r(18)%arra
     &y0, Agrif_tabvars_i(176)%iarray0)

      end


#include "Sub_Loop_wrt_grid.h"
